@nav_title = "Android"
@title = "How to: Android"
@summary = "Bitmask for Android: Getting, Installing and Configuring"

## Getting and Installing Bitmask

There are two ways to obtain the Bitmask Android client, the first one is to download directly from the [Bitmask](https://dl.bitmask.net) website and the second is to download it through the Play Store.

This first one means you will have to manually download any updates to the client. The second that you are letting Google live on your device. We recommend for now to use the direct download method.

### Downloading and installing Bitmask for Android

You can download the latest version of Bitmask for Android from the following url [https://dl.bitmask.net/client/android/Bitmask-Android-latest.apk](https://dl.bitmask.net/client/android/Bitmask-Android-latest.apk) or read the following QR code from your device:

![Bitmask Direct](Bitmask-direct.png)

To install you have mark the "Unknown sources" option in Android Settings -> Security -> "Unknown sources". This allow the installation of Applications outside the Play Store.

### Getting Bitmask through the Play Store

Search for Bitmask on the Play store, or visit the following url from your device [https://play.google.com/store/apps/details?id=se.leap.bitmaskclient](https://play.google.com/store/apps/details?id=se.leap.bitmaskclient) or read the following QR code from your device:

![Bitmask Play Store](Bitmask-play.png)

## Using Bitmask for the first time

Before anything, you need a LEAP powered (black) Riseup account. To get that, please visit [https://black.riseup.net/login](https://black.riseup.net/login) and sign up to a new account. Take note that this is a new system, so your current riseup.net account will not work. 

After that, open your just installed Bitmask app.

### Configure Bitmask with riseup.net as a provider

![Step 1](Bitmask-android-3.png)

After your first launch of Bitmask you'll see a list of providers. At the bottom left there is a + symbol inside a circle. Tap it.

![Step 2](Bitmask-android-1.png)

Write "riseup.net" as the provider.

![Step 3](Bitmask-android-2.png)

After Bitmask validates riseup.net as a secure LEAP provider, press login.

![Step 4](Bitmask-android-4.png)

Fill the info with your LEAP powered (black) Riseup account.

![Step 5](Bitmask-android-5.png)

Activate the Riseup EIP turning on the switch in red with a tap.

![Step 6](Bitmask-android-6.png)

Android will ask if you want to let Bitmask create a VPN Connection. Mark I trust this application and then accept. 

![Step 7](Bitmask-android-7.png)

Once the switch is on, you are using our new Riseup Encrypted Internet Proxy. Yay!
